import { baseServer, dict } from '@/api'
import request from '@/utils/require'

// /getCfQyxxList/{pageNum}/{pageSize}
// 根据企业名称获取-仓房-相关企业列表【分页查询】
export function getCfQyxxList(pageData, params) {
	return request({
		url: `${baseServer}/getCfQyxxList/${pageData.page}/${pageData.size}`,
		method: 'post',
		data: params
	})
}
// /getRyQyxxList/{pageNum}/{pageSize}
// 根据企业名称获取-人员-相关企业列表【分页查询】
export function getRyQyxxList(pageData, params) {
	return request({
		url: `${baseServer}/getRyQyxxList/${pageData.page}/${pageData.size}`,
		method: 'post',
		data: params
	})
}
// /getSbQyxxList/{pageNum}/{pageSize}
// 根据企业名称获取-设备-相关企业列表【分页查询】
export function getSbQyxxList(pageData, params) {
	return request({
		url: `${baseServer}/getSbQyxxList/${pageData.page}/${pageData.size}`,
		method: 'post',
		data: params
	})
}
// /getYpQyxxList/{pageNum}/{pageSize}
// 根据企业名称获取-药品-相关企业列表【分页查询】
export function getYpQyxxList(pageData, params) {
	return request({
		url: `${baseServer}/getYpQyxxList/${pageData.page}/${pageData.size}`,
		method: 'post',
		data: params
	})
}

//仓房字典
export function dataDictionary(groupId) {
	return request({
		url: `${dict}/dataDictionary/getDataGroup?groupId=${groupId}`,
		method: 'get'
	})
}
